diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lr-wpan/test/lr-wpan-mac-test.cc ns-3.44/src/lr-wpan/test/lr-wpan-mac-test.cc
--- ns-3.43/src/lr-wpan/test/lr-wpan-mac-test.cc	2024-10-09 16:41:09.900656000 -0700
+++ ns-3.44/src/lr-wpan/test/lr-wpan-mac-test.cc	2025-03-09 16:55:49.419371100 -0700
@@ -6,15 +6,15 @@
  * Author: Alberto Gallegos Ramonet <alramonet@is.tokushima-u.ac.jp>
  */
 
-#include <ns3/constant-position-mobility-model.h>
-#include <ns3/core-module.h>
-#include <ns3/log.h>
-#include <ns3/lr-wpan-module.h>
-#include <ns3/packet.h>
-#include <ns3/propagation-delay-model.h>
-#include <ns3/propagation-loss-model.h>
-#include <ns3/simulator.h>
-#include <ns3/single-model-spectrum-channel.h>
+#include "ns3/constant-position-mobility-model.h"
+#include "ns3/core-module.h"
+#include "ns3/log.h"
+#include "ns3/lr-wpan-module.h"
+#include "ns3/packet.h"
+#include "ns3/propagation-delay-model.h"
+#include "ns3/propagation-loss-model.h"
+#include "ns3/simulator.h"
+#include "ns3/single-model-spectrum-channel.h"
 
 #include <iostream>
 
@@ -24,10 +24,10 @@
 NS_LOG_COMPONENT_DEFINE("lr-wpan-mac-test");
 
 /**
- * \ingroup lr-wpan-test
- * \ingroup tests
+ * @ingroup lr-wpan-test
+ * @ingroup tests
  *
- * \brief Test PHY going to TRX_OFF after CSMA failure (MAC->RxOnWhenIdle(false))
+ * @brief Test PHY going to TRX_OFF after CSMA failure (MAC->RxOnWhenIdle(false))
  */
 class TestRxOffWhenIdleAfterCsmaFailure : public TestCase
 {
@@ -38,21 +38,21 @@
   private:
     /**
      * Function called when a Data indication is invoked
-     * \param params MCPS data indication parameters
-     * \param p packet
+     * @param params MCPS data indication parameters
+     * @param p packet
      */
     void DataIndication(McpsDataIndicationParams params, Ptr<Packet> p);
     /**
      * Function called when a Data confirm is invoked (After Tx Attempt)
-     * \param params MCPS data confirm parameters
+     * @param params MCPS data confirm parameters
      */
     void DataConfirm(McpsDataConfirmParams params);
     /**
      * Function called when a the PHY state changes in Dev0 [00:01]
-     * \param context context
-     * \param now time at which the function is called
-     * \param oldState old PHY state
-     * \param newState new PHY state
+     * @param context context
+     * @param now time at which the function is called
+     * @param oldState old PHY state
+     * @param newState new PHY state
      */
     void StateChangeNotificationDev0(std::string context,
                                      Time now,
@@ -60,10 +60,10 @@
                                      PhyEnumeration newState);
     /**
      * Function called when a the PHY state changes in Dev2 [00:03]
-     * \param context context
-     * \param now time at which the function is called
-     * \param oldState old PHY state
-     * \param newState new PHY state
+     * @param context context
+     * @param now time at which the function is called
+     * @param oldState old PHY state
+     * @param newState new PHY state
      */
     void StateChangeNotificationDev2(std::string context,
                                      Time now,
@@ -263,7 +263,7 @@
     params.m_dstAddr = Mac16Address("00:02");
 
     Simulator::ScheduleWithContext(2,
-                                   Seconds(0.0),
+                                   Seconds(0),
                                    &LrWpanMac::McpsDataRequest,
                                    dev2->GetMac(),
                                    params,
@@ -280,10 +280,10 @@
 }
 
 /**
- * \ingroup lr-wpan-test
- * \ingroup tests
+ * @ingroup lr-wpan-test
+ * @ingroup tests
  *
- * \brief Test MAC Active Scan PAN descriptor reception and check some of its values.
+ * @brief Test MAC Active Scan PAN descriptor reception and check some of its values.
  */
 class TestActiveScanPanDescriptors : public TestCase
 {
@@ -295,14 +295,14 @@
     /**
      * Function called in response to a MAC scan request.
      *
-     * \param params MLME scan confirm parameters
+     * @param params MLME scan confirm parameters
      */
     void ScanConfirm(MlmeScanConfirmParams params);
 
     /**
      * Function used to notify the reception of a beacon with payload.
      *
-     * \param params The MLME-BEACON-NOTIFY.indication parameters
+     * @param params The MLME-BEACON-NOTIFY.indication parameters
      */
     void BeaconNotifyIndication(MlmeBeaconNotifyIndicationParams params);
 
@@ -437,7 +437,7 @@
     params.m_sfrmOrd = 15;
     params.m_logCh = 12;
     Simulator::ScheduleWithContext(1,
-                                   Seconds(2.0),
+                                   Seconds(2),
                                    &LrWpanMac::MlmeStartRequest,
                                    coord1NetDevice->GetMac(),
                                    params);
@@ -460,7 +460,7 @@
     params2.m_sfrmOrd = 15;
     params2.m_logCh = 14;
     Simulator::ScheduleWithContext(2,
-                                   Seconds(2.0),
+                                   Seconds(2),
                                    &LrWpanMac::MlmeStartRequest,
                                    coord2NetDevice->GetMac(),
                                    params2);
@@ -477,7 +477,7 @@
     scanParams.m_scanDuration = 14;
     scanParams.m_scanType = MLMESCAN_ACTIVE;
     Simulator::ScheduleWithContext(1,
-                                   Seconds(3.0),
+                                   Seconds(3),
                                    &LrWpanMac::MlmeScanRequest,
                                    endNodeNetDevice->GetMac(),
                                    scanParams);
@@ -519,10 +519,10 @@
 }
 
 /**
- * \ingroup lr-wpan-test
- * \ingroup tests
+ * @ingroup lr-wpan-test
+ * @ingroup tests
  *
- * \brief Test MAC Orphan Scan Coordinator Realignment command reception and its values.
+ * @brief Test MAC Orphan Scan Coordinator Realignment command reception and its values.
  */
 class TestOrphanScan : public TestCase
 {
@@ -534,7 +534,7 @@
     /**
      * Function called in response to a MAC scan request.
      *
-     * \param params MLME scan confirm parameters
+     * @param params MLME scan confirm parameters
      */
     void ScanConfirm(MlmeScanConfirmParams params);
 
@@ -542,7 +542,7 @@
      * Function called as a result of receiving an orphan notification command
      * on the coordinator
      *
-     * \param params MLME orphan indication parameters
+     * @param params MLME orphan indication parameters
      */
     void OrphanIndicationCoord(MlmeOrphanIndicationParams params);
 
@@ -660,7 +660,7 @@
     params.m_sfrmOrd = 15;
     params.m_logCh = 12;
     Simulator::ScheduleWithContext(1,
-                                   Seconds(2.0),
+                                   Seconds(2),
                                    &LrWpanMac::MlmeStartRequest,
                                    coord1NetDevice->GetMac(),
                                    params);
@@ -679,7 +679,7 @@
     scanParams.m_scanChannels = 0x7800;
     scanParams.m_scanType = MLMESCAN_ORPHAN;
     Simulator::ScheduleWithContext(1,
-                                   Seconds(3.0),
+                                   Seconds(3),
                                    &LrWpanMac::MlmeScanRequest,
                                    endNodeNetDevice->GetMac(),
                                    scanParams);
@@ -704,10 +704,10 @@
 }
 
 /**
- * \ingroup lr-wpan-test
- * \ingroup tests
+ * @ingroup lr-wpan-test
+ * @ingroup tests
  *
- * \brief LrWpan MAC TestSuite
+ * @brief LrWpan MAC TestSuite
  */
 class LrWpanMacTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lr-wpan/test/lr-wpan-packet-test.cc ns-3.44/src/lr-wpan/test/lr-wpan-packet-test.cc
--- ns-3.43/src/lr-wpan/test/lr-wpan-packet-test.cc	2024-10-09 16:41:09.900656000 -0700
+++ ns-3.44/src/lr-wpan/test/lr-wpan-packet-test.cc	2025-03-09 16:55:49.419371100 -0700
@@ -5,13 +5,13 @@
  *
  * Author:  Tom Henderson <thomas.r.henderson@boeing.com>
  */
-#include <ns3/log.h>
-#include <ns3/lr-wpan-mac-header.h>
-#include <ns3/lr-wpan-mac-trailer.h>
-#include <ns3/mac16-address.h>
-#include <ns3/mac64-address.h>
-#include <ns3/packet.h>
-#include <ns3/test.h>
+#include "ns3/log.h"
+#include "ns3/lr-wpan-mac-header.h"
+#include "ns3/lr-wpan-mac-trailer.h"
+#include "ns3/mac16-address.h"
+#include "ns3/mac64-address.h"
+#include "ns3/packet.h"
+#include "ns3/test.h"
 
 #include <vector>
 
@@ -21,10 +21,10 @@
 NS_LOG_COMPONENT_DEFINE("lr-wpan-packet-test");
 
 /**
- * \ingroup lr-wpan-test
- * \ingroup tests
+ * @ingroup lr-wpan-test
+ * @ingroup tests
  *
- * \brief LrWpan header and trailer Test
+ * @brief LrWpan header and trailer Test
  */
 class LrWpanPacketTestCase : public TestCase
 {
@@ -98,10 +98,10 @@
 }
 
 /**
- * \ingroup lr-wpan-test
- * \ingroup tests
+ * @ingroup lr-wpan-test
+ * @ingroup tests
  *
- * \brief LrWpan header and trailer TestSuite
+ * @brief LrWpan header and trailer TestSuite
  */
 class LrWpanPacketTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lr-wpan/test/lr-wpan-pd-plme-sap-test.cc ns-3.44/src/lr-wpan/test/lr-wpan-pd-plme-sap-test.cc
--- ns-3.43/src/lr-wpan/test/lr-wpan-pd-plme-sap-test.cc	2024-10-09 16:41:09.900656000 -0700
+++ ns-3.44/src/lr-wpan/test/lr-wpan-pd-plme-sap-test.cc	2025-03-09 16:55:49.419371100 -0700
@@ -5,22 +5,22 @@
  *
  * Author: Gary Pei <guangyu.pei@boeing.com>
  */
-#include <ns3/log.h>
-#include <ns3/lr-wpan-mac.h>
-#include <ns3/lr-wpan-phy.h>
-#include <ns3/packet.h>
-#include <ns3/simulator.h>
-#include <ns3/single-model-spectrum-channel.h>
-#include <ns3/test.h>
+#include "ns3/log.h"
+#include "ns3/lr-wpan-mac.h"
+#include "ns3/lr-wpan-phy.h"
+#include "ns3/packet.h"
+#include "ns3/simulator.h"
+#include "ns3/single-model-spectrum-channel.h"
+#include "ns3/test.h"
 
 using namespace ns3;
 using namespace ns3::lrwpan;
 
 /**
- * \ingroup lr-wpan-test
- * \ingroup tests
+ * @ingroup lr-wpan-test
+ * @ingroup tests
  *
- * \brief LrWpan PLME and PD Interfaces Test
+ * @brief LrWpan PLME and PD Interfaces Test
  */
 class LrWpanPlmeAndPdInterfaceTestCase : public TestCase
 {
@@ -32,10 +32,10 @@
     void DoRun() override;
 
     /**
-     * \brief Receives a PdData indication
-     * \param psduLength The PSDU length.
-     * \param p The packet.
-     * \param lqi The LQI.
+     * @brief Receives a PdData indication
+     * @param psduLength The PSDU length.
+     * @param p The packet.
+     * @param lqi The LQI.
      */
     void ReceivePdDataIndication(uint32_t psduLength, Ptr<Packet> p, uint8_t lqi);
 };
@@ -82,10 +82,10 @@
 }
 
 /**
- * \ingroup lr-wpan-test
- * \ingroup tests
+ * @ingroup lr-wpan-test
+ * @ingroup tests
  *
- * \brief LrWpan PLME and PD Interfaces TestSuite
+ * @brief LrWpan PLME and PD Interfaces TestSuite
  */
 class LrWpanPlmeAndPdInterfaceTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lr-wpan/test/lr-wpan-slotted-csmaca-test.cc ns-3.44/src/lr-wpan/test/lr-wpan-slotted-csmaca-test.cc
--- ns-3.43/src/lr-wpan/test/lr-wpan-slotted-csmaca-test.cc	2024-10-09 16:41:09.900656000 -0700
+++ ns-3.44/src/lr-wpan/test/lr-wpan-slotted-csmaca-test.cc	2025-03-09 16:55:49.419371100 -0700
@@ -7,15 +7,15 @@
  *  Alberto Gallegos Ramonet <ramonet@fc.ritsumei.ac.jp>
  */
 
-#include <ns3/constant-position-mobility-model.h>
-#include <ns3/core-module.h>
-#include <ns3/log.h>
-#include <ns3/lr-wpan-module.h>
-#include <ns3/packet.h>
-#include <ns3/propagation-delay-model.h>
-#include <ns3/propagation-loss-model.h>
-#include <ns3/simulator.h>
-#include <ns3/single-model-spectrum-channel.h>
+#include "ns3/constant-position-mobility-model.h"
+#include "ns3/core-module.h"
+#include "ns3/log.h"
+#include "ns3/lr-wpan-module.h"
+#include "ns3/packet.h"
+#include "ns3/propagation-delay-model.h"
+#include "ns3/propagation-loss-model.h"
+#include "ns3/simulator.h"
+#include "ns3/single-model-spectrum-channel.h"
 
 using namespace ns3;
 using namespace ns3::lrwpan;
@@ -23,10 +23,10 @@
 NS_LOG_COMPONENT_DEFINE("lr-wpan-slotted-csma-test");
 
 /**
- * \ingroup lr-wpan-test
- * \ingroup tests
+ * @ingroup lr-wpan-test
+ * @ingroup tests
  *
- * \brief Test the correct allocation of DIRECT transmissions in the
+ * @brief Test the correct allocation of DIRECT transmissions in the
  *        contention access period (CAP) of the superframe
  *        (Slotted CSMA-CA algorithm).
  */
@@ -38,41 +38,41 @@
 
   private:
     /**
-     * \brief Function called when McpsDataConfirm is hit.
-     * \param testcase The TestCase.
-     * \param dev The LrWpanNetDevice.
-     * \param params The McpsDataConfirm parameters.
+     * @brief Function called when McpsDataConfirm is hit.
+     * @param testcase The TestCase.
+     * @param dev The LrWpanNetDevice.
+     * @param params The McpsDataConfirm parameters.
      */
     static void TransEndIndication(LrWpanSlottedCsmacaTestCase* testcase,
                                    Ptr<LrWpanNetDevice> dev,
                                    McpsDataConfirmParams params);
     /**
-     * \brief Function called when McpsDataIndication is hit.
-     * \param testcase The TestCase.
-     * \param dev The LrWpanNetDevice.
-     * \param params The McpsDataIndication parameters.
-     * \param p The received packet.
+     * @brief Function called when McpsDataIndication is hit.
+     * @param testcase The TestCase.
+     * @param dev The LrWpanNetDevice.
+     * @param params The McpsDataIndication parameters.
+     * @param p The received packet.
      */
     static void DataIndicationCoordinator(LrWpanSlottedCsmacaTestCase* testcase,
                                           Ptr<LrWpanNetDevice> dev,
                                           McpsDataIndicationParams params,
                                           Ptr<Packet> p);
     /**
-     * \brief Function called when MlmeStartConfirm is hit.
-     * \param testcase The TestCase.
-     * \param dev The LrWpanNetDevice.
-     * \param params The MlmeStartConfirm parameters.
+     * @brief Function called when MlmeStartConfirm is hit.
+     * @param testcase The TestCase.
+     * @param dev The LrWpanNetDevice.
+     * @param params The MlmeStartConfirm parameters.
      */
     static void StartConfirm(LrWpanSlottedCsmacaTestCase* testcase,
                              Ptr<LrWpanNetDevice> dev,
                              MlmeStartConfirmParams params);
 
     /**
-     * \brief Function called on each Superframe status change (CAP|CFP|INACTIVE).
-     * \param testcase The TestCase.
-     * \param dev The LrWpanNetDevice.
-     * \param oldValue The previous superframe status.
-     * \param newValue THe new superframe status.
+     * @brief Function called on each Superframe status change (CAP|CFP|INACTIVE).
+     * @param testcase The TestCase.
+     * @param dev The LrWpanNetDevice.
+     * @param oldValue The previous superframe status.
+     * @param newValue THe new superframe status.
      */
     static void IncomingSuperframeStatus(LrWpanSlottedCsmacaTestCase* testcase,
                                          Ptr<LrWpanNetDevice> dev,
@@ -80,10 +80,10 @@
                                          SuperframeStatus newValue);
 
     /**
-     * \brief Function called to indicated the calculated transaction cost in slotted CSMA-CA
-     * \param testcase The TestCase.
-     * \param dev The LrWpanNetDevice.
-     * \param trans The transaction cost in symbols.
+     * @brief Function called to indicated the calculated transaction cost in slotted CSMA-CA
+     * @param testcase The TestCase.
+     * @param dev The LrWpanNetDevice.
+     * @param trans The transaction cost in symbols.
      */
     static void TransactionCost(LrWpanSlottedCsmacaTestCase* testcase,
                                 Ptr<LrWpanNetDevice> dev,
@@ -243,7 +243,7 @@
     params.m_bcnOrd = 14;
     params.m_sfrmOrd = 6;
     Simulator::ScheduleWithContext(1,
-                                   Seconds(2.0),
+                                   Seconds(2),
                                    &LrWpanMac::MlmeStartRequest,
                                    dev0->GetMac(),
                                    params);
@@ -324,14 +324,19 @@
                           (m_apBoundary + transactionTime),
                           "Error, the transaction time is not the expected value");
 
+    // Disconnect traces to eliminate valgrid errors
+    dev1->GetMac()->TraceDisconnectWithoutContext(
+        "MacIncSuperframeStatus",
+        MakeBoundCallback(&LrWpanSlottedCsmacaTestCase::IncomingSuperframeStatus, this, dev1));
+
     Simulator::Destroy();
 }
 
 /**
- * \ingroup lr-wpan-test
- * \ingroup tests
+ * @ingroup lr-wpan-test
+ * @ingroup tests
  *
- * \brief LrWpan Slotted CSMA-CA TestSuite
+ * @brief LrWpan Slotted CSMA-CA TestSuite
  */
 
 class LrWpanSlottedCsmacaTestSuite : public TestSuite
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lr-wpan/test/lr-wpan-spectrum-value-helper-test.cc ns-3.44/src/lr-wpan/test/lr-wpan-spectrum-value-helper-test.cc
--- ns-3.43/src/lr-wpan/test/lr-wpan-spectrum-value-helper-test.cc	2024-10-09 16:41:09.900656000 -0700
+++ ns-3.44/src/lr-wpan/test/lr-wpan-spectrum-value-helper-test.cc	2025-03-09 16:55:49.419371100 -0700
@@ -5,10 +5,10 @@
  *
  * Author:  Tom Henderson <thomas.r.henderson@boeing.com>
  */
-#include <ns3/log.h>
-#include <ns3/lr-wpan-spectrum-value-helper.h>
-#include <ns3/spectrum-value.h>
-#include <ns3/test.h>
+#include "ns3/log.h"
+#include "ns3/lr-wpan-spectrum-value-helper.h"
+#include "ns3/spectrum-value.h"
+#include "ns3/test.h"
 
 #include <cmath>
 
@@ -16,10 +16,10 @@
 using namespace ns3::lrwpan;
 
 /**
- * \ingroup lr-wpan-test
- * \ingroup tests
+ * @ingroup lr-wpan-test
+ * @ingroup tests
  *
- * \brief LrWpan SpectrumValue Helper TestSuite
+ * @brief LrWpan SpectrumValue Helper TestSuite
  */
 class LrWpanSpectrumValueHelperTestCase : public TestCase
 {
@@ -63,10 +63,10 @@
 }
 
 /**
- * \ingroup lr-wpan-test
- * \ingroup tests
+ * @ingroup lr-wpan-test
+ * @ingroup tests
  *
- * \brief LrWpan SpectrumValue Helper TestSuite
+ * @brief LrWpan SpectrumValue Helper TestSuite
  */
 class LrWpanSpectrumValueHelperTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/CMakeLists.txt ns-3.44/src/lte/CMakeLists.txt
--- ns-3.43/src/lte/CMakeLists.txt	2024-10-09 16:41:09.900656000 -0700
+++ ns-3.44/src/lte/CMakeLists.txt	2025-03-09 16:55:49.419371100 -0700
@@ -358,4 +358,5 @@
     ${libconfig-store}
   TEST_SOURCES ${test_sources}
   MODULE_ENABLED_FEATURES ${emu_features}
+  GENERATE_EXPORT_HEADER
 )
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/examples/lena-cc-helper.cc ns-3.44/src/lte/examples/lena-cc-helper.cc
--- ns-3.43/src/lte/examples/lena-cc-helper.cc	2024-10-09 16:41:09.928656000 -0700
+++ ns-3.44/src/lte/examples/lena-cc-helper.cc	2025-03-09 16:55:49.471371400 -0700
@@ -6,10 +6,10 @@
  * Author: Danilo Abrignani <danilo.abrignani@unibo.it>
  */
 
+#include "ns3/buildings-helper.h"
 #include "ns3/cc-helper.h"
 #include "ns3/component-carrier.h"
 #include "ns3/core-module.h"
-#include <ns3/buildings-helper.h>
 // #include "ns3/config-store.h"
 
 using namespace ns3;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/examples/lena-cqi-threshold.cc ns-3.44/src/lte/examples/lena-cqi-threshold.cc
--- ns-3.43/src/lte/examples/lena-cqi-threshold.cc	2024-10-09 16:41:09.928656000 -0700
+++ ns-3.44/src/lte/examples/lena-cqi-threshold.cc	2025-03-09 16:55:49.471371400 -0700
@@ -6,12 +6,12 @@
  * Author: Manuel Requena <manuel.requena@cttc.es>
  */
 
+#include "ns3/buildings-helper.h"
 #include "ns3/config-store.h"
 #include "ns3/core-module.h"
 #include "ns3/lte-module.h"
 #include "ns3/mobility-module.h"
 #include "ns3/network-module.h"
-#include <ns3/buildings-helper.h>
 // #include "ns3/gtk-config-store.h"
 
 using namespace ns3;
@@ -22,7 +22,7 @@
  * This function will move a node with a x coordinate greater than 10 m
  * to a x equal to 5 m, and less than or equal to 10 m to 10 Km
  *
- * \param node The node to move.
+ * @param node The node to move.
  */
 static void
 ChangePosition(Ptr<Node> node)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/examples/lena-deactivate-bearer.cc ns-3.44/src/lte/examples/lena-deactivate-bearer.cc
--- ns-3.43/src/lte/examples/lena-deactivate-bearer.cc	2024-10-09 16:41:09.928656000 -0700
+++ ns-3.44/src/lte/examples/lena-deactivate-bearer.cc	2025-03-09 16:55:49.471371400 -0700
@@ -223,7 +223,7 @@
                         2);
 
     // stop simulation after 3 seconds
-    Simulator::Stop(Seconds(3.0));
+    Simulator::Stop(Seconds(3));
 
     Simulator::Run();
     /*GtkConfigStore config;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/examples/lena-distributed-ffr.cc ns-3.44/src/lte/examples/lena-distributed-ffr.cc
--- ns-3.43/src/lte/examples/lena-distributed-ffr.cc	2024-10-09 16:41:09.928656000 -0700
+++ ns-3.44/src/lte/examples/lena-distributed-ffr.cc	2025-03-09 16:55:49.471371400 -0700
@@ -8,6 +8,7 @@
  */
 
 #include "ns3/applications-module.h"
+#include "ns3/buildings-helper.h"
 #include "ns3/core-module.h"
 #include "ns3/internet-module.h"
 #include "ns3/log.h"
@@ -17,7 +18,6 @@
 #include "ns3/point-to-point-epc-helper.h"
 #include "ns3/point-to-point-module.h"
 #include "ns3/spectrum-module.h"
-#include <ns3/buildings-helper.h>
 
 using namespace ns3;
 
@@ -280,7 +280,7 @@
 
             UdpClientHelper dlClientHelper(ueIpIfaces.GetAddress(u), dlPort);
             dlClientHelper.SetAttribute("MaxPackets", UintegerValue(1000000));
-            dlClientHelper.SetAttribute("Interval", TimeValue(MilliSeconds(1.0)));
+            dlClientHelper.SetAttribute("Interval", TimeValue(MilliSeconds(1)));
             clientApps.Add(dlClientHelper.Install(remoteHost));
             PacketSinkHelper dlPacketSinkHelper("ns3::UdpSocketFactory",
                                                 InetSocketAddress(Ipv4Address::GetAny(), dlPort));
@@ -288,7 +288,7 @@
 
             UdpClientHelper ulClientHelper(remoteHostAddr, ulPort);
             ulClientHelper.SetAttribute("MaxPackets", UintegerValue(1000000));
-            ulClientHelper.SetAttribute("Interval", TimeValue(MilliSeconds(1.0)));
+            ulClientHelper.SetAttribute("Interval", TimeValue(MilliSeconds(1)));
             clientApps.Add(ulClientHelper.Install(ue));
             PacketSinkHelper ulPacketSinkHelper("ns3::UdpSocketFactory",
                                                 InetSocketAddress(Ipv4Address::GetAny(), ulPort));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/examples/lena-dual-stripe.cc ns-3.44/src/lte/examples/lena-dual-stripe.cc
--- ns-3.43/src/lte/examples/lena-dual-stripe.cc	2024-10-09 16:41:09.928656000 -0700
+++ ns-3.44/src/lte/examples/lena-dual-stripe.cc	2025-03-09 16:55:49.471371400 -0700
@@ -6,16 +6,16 @@
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
 
-#include <ns3/applications-module.h>
-#include <ns3/buildings-module.h>
-#include <ns3/config-store-module.h>
-#include <ns3/core-module.h>
-#include <ns3/internet-module.h>
-#include <ns3/log.h>
-#include <ns3/lte-module.h>
-#include <ns3/mobility-module.h>
-#include <ns3/network-module.h>
-#include <ns3/point-to-point-helper.h>
+#include "ns3/applications-module.h"
+#include "ns3/buildings-module.h"
+#include "ns3/config-store-module.h"
+#include "ns3/core-module.h"
+#include "ns3/internet-module.h"
+#include "ns3/log.h"
+#include "ns3/lte-module.h"
+#include "ns3/mobility-module.h"
+#include "ns3/network-module.h"
+#include "ns3/point-to-point-helper.h"
 
 #include <iomanip>
 #include <ios>
@@ -34,9 +34,9 @@
 /**
  * Check if two boxes are overlapping.
  *
- * \param a First box.
- * \param b Second box.
- * \return true if the boxes are overlapping, false otherwise.
+ * @param a First box.
+ * @param b Second box.
+ * @return true if the boxes are overlapping, false otherwise.
  */
 bool
 AreOverlapping(Box a, Box b)
@@ -54,14 +54,14 @@
   public:
     /**
      * Constructor
-     * \param area the total area
-     * \param nApartmentsX the number of apartments in the X direction
-     * \param nFloors the number of floors
+     * @param area the total area
+     * @param nApartmentsX the number of apartments in the X direction
+     * @param nFloors the number of floors
      */
     FemtocellBlockAllocator(Box area, uint32_t nApartmentsX, uint32_t nFloors);
     /**
      * Function that creates building blocks.
-     * \param n the number of blocks to create
+     * @param n the number of blocks to create
      */
     void Create(uint32_t n);
     /// Create function
@@ -71,8 +71,8 @@
     /**
      * Function that checks if the box area is overlapping with some of previously created building
      * blocks.
-     * \param box the area to check
-     * \returns true if there is an overlap
+     * @param box the area to check
+     * @returns true if there is an overlap
      */
     bool OverlapsWithAnyPrevious(Box box);
     Box m_area;                           ///< Area
@@ -160,7 +160,7 @@
 /**
  * Print a list of buildings that can be plotted using Gnuplot.
  *
- * \param filename the output file name.
+ * @param filename the output file name.
  */
 void
 PrintGnuplottableBuildingListToFile(std::string filename)
@@ -185,7 +185,7 @@
 /**
  * Print a list of UEs that can be plotted using Gnuplot.
  *
- * \param filename the output file name.
+ * @param filename the output file name.
  */
 void
 PrintGnuplottableUeListToFile(std::string filename)
@@ -219,7 +219,7 @@
 /**
  * Print a list of ENBs that can be plotted using Gnuplot.
  *
- * \param filename the output file name.
+ * @param filename the output file name.
  */
 void
 PrintGnuplottableEnbListToFile(std::string filename)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/examples/lena-fading.cc ns-3.44/src/lte/examples/lena-fading.cc
--- ns-3.43/src/lte/examples/lena-fading.cc	2024-10-09 16:41:09.928656000 -0700
+++ ns-3.44/src/lte/examples/lena-fading.cc	2025-03-09 16:55:49.471371400 -0700
@@ -6,13 +6,13 @@
  * Author: Marco Miozzo <marco.miozzo@cttc.es>
  */
 
+#include "ns3/buildings-helper.h"
 #include "ns3/config-store.h"
 #include "ns3/core-module.h"
 #include "ns3/lte-module.h"
 #include "ns3/mobility-module.h"
 #include "ns3/network-module.h"
-#include <ns3/buildings-helper.h>
-#include <ns3/string.h>
+#include "ns3/string.h"
 
 #include <fstream>
 // #include "ns3/gtk-config-store.h"
@@ -71,7 +71,7 @@
     // - 10,000 samples
     // - 0.5 seconds for window size
     // - 100 RB
-    lteHelper->SetFadingModelAttribute("TraceLength", TimeValue(Seconds(10.0)));
+    lteHelper->SetFadingModelAttribute("TraceLength", TimeValue(Seconds(10)));
     lteHelper->SetFadingModelAttribute("SamplesNum", UintegerValue(10000));
     lteHelper->SetFadingModelAttribute("WindowSize", TimeValue(Seconds(0.5)));
     lteHelper->SetFadingModelAttribute("RbNum", UintegerValue(100));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/examples/lena-frequency-reuse.cc ns-3.44/src/lte/examples/lena-frequency-reuse.cc
--- ns-3.43/src/lte/examples/lena-frequency-reuse.cc	2024-10-09 16:41:09.928656000 -0700
+++ ns-3.44/src/lte/examples/lena-frequency-reuse.cc	2025-03-09 16:55:49.471371400 -0700
@@ -7,13 +7,13 @@
  *
  */
 
+#include "ns3/buildings-helper.h"
 #include "ns3/core-module.h"
+#include "ns3/log.h"
 #include "ns3/lte-module.h"
 #include "ns3/mobility-module.h"
 #include "ns3/network-module.h"
-#include <ns3/buildings-helper.h>
-#include <ns3/log.h>
-#include <ns3/spectrum-module.h>
+#include "ns3/spectrum-module.h"
 
 using namespace ns3;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/examples/lena-ipv6-addr-conf.cc ns-3.44/src/lte/examples/lena-ipv6-addr-conf.cc
--- ns-3.43/src/lte/examples/lena-ipv6-addr-conf.cc	2024-10-09 16:41:09.928656000 -0700
+++ ns-3.44/src/lte/examples/lena-ipv6-addr-conf.cc	2025-03-09 16:55:49.471371400 -0700
@@ -122,25 +122,25 @@
 
     ApplicationContainer serverApps = echoServer.Install(remoteHost);
 
-    serverApps.Start(Seconds(4.0));
-    serverApps.Stop(Seconds(20.0));
+    serverApps.Start(Seconds(4));
+    serverApps.Stop(Seconds(20));
 
     UdpEchoClientHelper echoClient1(remoteHostAddr, 9);
     UdpEchoClientHelper echoClient2(remoteHostAddr, 9);
 
     echoClient1.SetAttribute("MaxPackets", UintegerValue(1000));
-    echoClient1.SetAttribute("Interval", TimeValue(Seconds(1.0)));
+    echoClient1.SetAttribute("Interval", TimeValue(Seconds(1)));
     echoClient1.SetAttribute("PacketSize", UintegerValue(1024));
 
     echoClient2.SetAttribute("MaxPackets", UintegerValue(1000));
-    echoClient2.SetAttribute("Interval", TimeValue(Seconds(1.0)));
+    echoClient2.SetAttribute("Interval", TimeValue(Seconds(1)));
     echoClient2.SetAttribute("PacketSize", UintegerValue(1024));
 
     ApplicationContainer clientApps1 = echoClient1.Install(ueNodes.Get(0));
     ApplicationContainer clientApps2 = echoClient2.Install(ueNodes.Get(1));
 
-    clientApps1.Start(Seconds(4.0));
-    clientApps1.Stop(Seconds(14.0));
+    clientApps1.Start(Seconds(4));
+    clientApps1.Stop(Seconds(14));
 
     clientApps2.Start(Seconds(4.5));
     clientApps2.Stop(Seconds(14.5));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/examples/lena-ipv6-ue-rh.cc ns-3.44/src/lte/examples/lena-ipv6-ue-rh.cc
--- ns-3.43/src/lte/examples/lena-ipv6-ue-rh.cc	2024-10-09 16:41:09.928656000 -0700
+++ ns-3.44/src/lte/examples/lena-ipv6-ue-rh.cc	2025-03-09 16:55:49.471371400 -0700
@@ -120,25 +120,25 @@
 
     ApplicationContainer serverApps = echoServer.Install(remoteHost);
 
-    serverApps.Start(Seconds(1.0));
-    serverApps.Stop(Seconds(20.0));
+    serverApps.Start(Seconds(1));
+    serverApps.Stop(Seconds(20));
 
     UdpEchoClientHelper echoClient1(remoteHostAddr, 9);
     UdpEchoClientHelper echoClient2(remoteHostAddr, 9);
 
     echoClient1.SetAttribute("MaxPackets", UintegerValue(1000));
-    echoClient1.SetAttribute("Interval", TimeValue(Seconds(1.0)));
+    echoClient1.SetAttribute("Interval", TimeValue(Seconds(1)));
     echoClient1.SetAttribute("PacketSize", UintegerValue(1024));
 
     echoClient2.SetAttribute("MaxPackets", UintegerValue(1000));
-    echoClient2.SetAttribute("Interval", TimeValue(Seconds(1.0)));
+    echoClient2.SetAttribute("Interval", TimeValue(Seconds(1)));
     echoClient2.SetAttribute("PacketSize", UintegerValue(1024));
 
     ApplicationContainer clientApps1 = echoClient1.Install(ueNodes.Get(0));
     ApplicationContainer clientApps2 = echoClient2.Install(ueNodes.Get(1));
 
-    clientApps1.Start(Seconds(1.0));
-    clientApps1.Stop(Seconds(14.0));
+    clientApps1.Start(Seconds(1));
+    clientApps1.Stop(Seconds(14));
 
     clientApps2.Start(Seconds(1.5));
     clientApps2.Stop(Seconds(14.5));
